Avro C++

Public Member Functions | List of all members
avro::GenericFixed Class Reference

Generic container for Avro fixed. More...

`#include <GenericDatum.hh>`

Inheritance diagram for avro::GenericFixed:

## Public Member Functions
| GenericFixed (const NodePtr &schema)
| Constructs a generic enum corresponding to the given schema `schema`, which should be of Avro type fixed.
| GenericFixed (const NodePtr &schema, const std::vector< uint8_t > &v)
const std::vector< uint8_t > & | value () const
| Returns the contents of this fixed.
std::vector< uint8_t > & | value ()
| Returns the reference to the contents of this fixed.
Public Member Functions inherited from avro::GenericContainer
const NodePtr & | schema () const
| Returns the schema for this object.

## Additional Inherited Members
Protected Member Functions inherited from avro::GenericContainer
| GenericContainer (Type type, const NodePtr &s)
| Constructs a container corresponding to the given schema.

## Detailed Description

Generic container for Avro fixed.

The documentation for this class was generated from the following file:

- api/GenericDatum.hh